### Function

# GExiv2 LogHandler

#### Declaration

    void
    (* GExiv2LogHandler) (
      GExiv2LogLevel level,
      const gchar* msg
    )

#### Description [src]

The log handler can be set by `gexiv2_log_set_handler()`. When set, the log handler will receive all log messages emitted by Exiv2 and gexiv2. It’s up to the handler to decide where (and if) the images are displayed or stored.

#### Parameters

`level`

  Type: `GExiv2LogLevel`

  The `GExiv2LogLevel` for the particular message.

`msg`

  Type: `const gchar*`

  The log message.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.